Bug 701202 - us(dvorak) does not show up in list
us(dvorak) does not show up in list
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-01 23:17 EDT by Angus Salkeld
Modified: 2014-01-12 20:40 EST (History)
4 users (show)

See Also:
Fixed In Version: ibus-1.3.99.20110408-3.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 00:29:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Angus Salkeld 2011-05-01 23:17:38 EDT
Description of problem:

us(dvorak) does not show up in the "Select an input method" list.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. try to add us(dvorak) as an input method
2. 
3.
  
Actual results:
not there!


Expected results:
should be in the list

Additional info:
from irc

<asalkeld> i want US dvorak, there is only UK dvorak
<asalkeld> (english)
<dueno> asalkeld: interesting that US dvorak does not show up...
<dueno> asalkeld: I could manually add "us(dvorak)" in ~/.config/ibus/xkb/xkblayoutconfig.xml
<asalkeld> cool
<asalkeld> i'll try
<asalkeld> that worked! - thanks
<asalkeld> dueno, thanks
<dueno> welcome, but perhaps it might be good to file a bug :)
Comment 1 fujiwara 2011-05-09 03:45:24 EDT
Thanks for filing the bug.
It seems a regression of bug 696481.

Revised the patch:
--- /usr/lib/python2.7/site-packages/ibus/xkbxml.py
+++ /usr/lib/python2.7/site-packages/ibus/xkbxml.py
@@ -75,7 +75,8 @@ class XKBConfigRegistryHandler(XMLFilter
                    self.__layout_label in self.__layoutlist_array:
                     self.__layoutlist_array[self.__layout_label].append(text)
             elif self.__current_node == "description":
-                self.__variant_desc[self.__variant_label] = text
+                label =  "%s(%s)" % (self.__layout_label, self.__variant_label)
+                self.__variant_desc[label] = text
             elif self.__current_node == "iso639Id":
                 label = self.__layout_label
                 if label != None:
--- /usr/share/ibus/setup/xkbsetup.py
+++ /usr/share/ibus/setup/xkbsetup.py
@@ -84,15 +84,18 @@ class XKBSetup(gobject.GObject):
                 xkb_engines.append(engine)
             for variant in layout_list[layout]:
                 label = "%s(%s)" % (layout, variant)
+                sub_langs = []
                 if label in layout_lang:
-                    langs = layout_lang[label]
-                for lang in langs:
+                    sub_langs = layout_lang[label]
+                else:
+                    sub_langs = langs
+                for lang in sub_langs:
                     engine = ibus.XKBConfigRegistry.engine_desc_new(
                         lang,
                         layout,
                         layout_desc[layout],
                         variant,
-                        variant_desc[variant])
+                        variant_desc[label])
                     xkb_engines.append(engine)
         return xkb_engines
 

https://github.com/fujiwarat/ibus/commit/f85c5d2370d416f4f4b585358e65e36609e2f2dc
Comment 3 Fedora Update System 2011-05-09 05:12:12 EDT
ibus-1.3.99.20110408-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ibus-1.3.99.20110408-3.fc15
Comment 4 Fedora Update System 2011-05-09 18:39:18 EDT
Package ibus-1.3.99.20110408-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.3.99.20110408-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ibus-1.3.99.20110408-3.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-05-19 00:29:19 EDT
ibus-1.3.99.20110408-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2011-05-25 23:57:45 EDT
ibus-1.3.9-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ibus-1.3.9-4.fc14
Comment 7 Fedora Update System 2011-05-27 16:22:09 EDT
ibus-1.3.9-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.